package de.digisalt.tileEdit.controller;

public abstract class Commands {
	public static final int v2mInit = 0;
	public static final int v2mGetCurrentPalette  = 1;
	public static final int v2mSetCurrentRedValue = 2;
	public static final int v2mSetCurrentGreenValue = 3;
	public static final int v2mSetCurrentBlueValue = 4;
	public static final int v2mNewRightButtonColorSelected = 5;
	public static final int v2mNewLeftButtonColorSelected = 6;
	public static final int v2mFlipCurrentTileHoriz = 7;
	public static final int v2mFlipCurrentTileVertic = 8;
	public static final int v2mLoadGraphicIntoEditor = 9;
	public static final int v2mLoadPaletteIntoEditor = 10;
	public static final int v2mSetNumberOfColumns = 11;
	public static final int v2mScrollUpUp = 12;
	public static final int v2mScrollUp = 13;
	public static final int v2mScrollDown = 14;
	public static final int v2mScrollDownDown = 15;
	public static final int v2mNewFile = 16;
	public static final int v2mCloseFile = 17;
	public static final int v2mSaveGraphicToFile = 18;
	
	public static final int m2vInit = 1000;
	public static final int m2vRepaintAllObjectsOnTileEditor = 1001;
	public static final int m2vSetNewSelectedLeftColor = 1002;
	public static final int m2vSetNewSelectedRightColor = 1003;
	public static final int m2vRepaintBigTileOnly = 1004;
	public static final int m2vRepaintColorAdjustersOnly = 1005;
	public static final int m2vRepaintPaletteOnly = 1006;
	public static final int m2vRepaintTileSourceOnly = 1007;
	public static final int m2vRepaintArrangerOnly = 1008;
	public static final int m2vShowAlert = 1009;
	public static final int m2vShowMainWindow = 1010;
	public static final int m2vHideMainWindow = 1011;
	public static final int m2vUpdateTiles = 1012; 
	public static final int m2vShowStatusMessage = 1013;
	
	public static final int testCommand = 2222;
}
